Ticket #34647

日本語漢点字・六点漢字への対応

Open Date: 2014-11-28 22:50 Last Update: 2017-08-22 14:52

Reporter: nishimoto Owner: nishimoto
Type: Feature Requests Status: Open [Owner assigned]
Component: 点訳エンジン MileStone: (None)
Priority: 6 Severity: 6
Resolution: Accepted

Details

日本語漢点字・六点漢字への対応(出力、入力)のご要望はときどき伺っていたのですが、 いままでチケットを作っていなかったようです。

たとえばチケット #28958 liblouisの日本語対応拡張 に取り組むにあたって、 日本語六点点字よりも漢点字、六点漢字のほうが手をつけやすいかも知れないです。。

開発に協力してくださるかたを募集したいと思います。

Attachment File List

No attachments

Ticket History (3/5 Histories)

2014-11-28 22:50 Updated by: nishimoto
  • New Ticket "日本語漢点字・六点漢字への対応" created
2017-08-07 18:06 Updated by: nishimoto
  • Owner Update from (None) to nishimoto
  • Ticket Close date is changed to 2017-08-07 18:06
  • Status Update from Open to Closed
  • Component Update from (None) to 点訳エンジン
  • Severity Update from 5 - Medium to 6
  • Priority Update from 5 - Medium to 6
Comment

liblouis 日本語対応に向けた作業として取り掛かりやすいこともあり、 優先度をすこし高くしたいと思います。

本格的な作業は 2017.4jp あるいはそれ以降をターゲットにしますが、いちおうブランチを作りました。

https://github.com/nvdajp/nvdajp/tree/jpbrailleinput

liblouis を逆変換だけに使用しており、 「入力テーブル」「日本語」を選んで「あいうえお」の5文字だけ入力できる状態です。

2017-08-07 20:20 Updated by: nishimoto
  • Status Update from Closed to Open
  • Resolution Update from None to Accepted
2017-08-22 10:10 Updated by: nishimoto
Comment

ドットの番号の呼び方について NVDA はドキュメントも設定画面も入力ヘルプも「一番下がドット7とドット8」である。

川上式漢点字の説明の一例

http://www.kijineko.co.jp/node/890

一番上が「0の点」「7の点」とよばれていて、 文字の開始や終了を示す役割になっている。

他の資料も手元にあるので、あとで調べてみる。

2017-08-22 14:52 Updated by: nishimoto
Comment

日本漢点字協会「川上 漢点字」(2002年第2刷)を確認しました。 (以前ある人から寄贈していただきました)

やはり1の上の点が0の点(漢字の始まりを表す) 4の点の上が7の点(漢字の終わりを表す) と説明されていました。

一方で liblouis はこのようなドット体系を扱えないはずなので、 先日公開していただいた漢点字の liblouis テーブルを確認しました。

https://github.com/brlat/kantenji.utb/blob/master/kantenji.utb

まず1マスで1文字を表現する漢字に注目してみたところ、

sign 系 1347

と定義されているところは、 「川上漢点字」35ページ(JIS文字コード 374F)でも、 いわゆる NVDA や liblouis の表記方法での 1347 でした。 川上漢点字を liblouis 方式で記述したテーブルであることを確認できました。

ひらがなも確認してみたら、

sign あ 2
sign い 23

のように、ひとつ下にずらしたパターンで記述されていました。

ユーザーにとっての点の表現と内部処理の点の表記が一致しない、 ということについて NVDA としての仕様をどうするかが課題になりそうです。

Edit

Please login to add comment to this ticket » Login